Name:		mdvinput
Version:	1.6.6
Release:	%mkrel 3
Summary:	Small program for set keyboard, mouse and touchpad
URL:		https://sourceforge.net/projects/mdvinput
Group:		Graphical desktop/Other
License:	GPLv3
Source0:	https://sourceforge.net/projects/mdvinput/files/%{name}-%{version}.tar.gz
Requires:	python3
Requires:	python3-gobject3
Requires:	python3-configobj
Recommends:	x11-driver-input-libinput
BuildArch:	noarch

%description
It's small utility for setup keyboard, mouse and touchpad
for replace lxinput and other on lightweight DE.

%prep
%setup -q

%build
#nothing

%install
mkdir -p %{buildroot}%{_prefix}
mkdir -p %{buildroot}%{_datadir}/applications
cp -rf ./bin %{buildroot}%{_prefix}/
cp -rf ./share %{buildroot}%{_prefix}/
%find_lang %{name}

%files  -f %{name}.lang
%doc AUTHORS ChangeLog README TODO
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}



%changelog
* Mon Mar 21 2022 umeabot <umeabot> 1.6.6-3.mga9
+ Revision: 1811922
- Mageia 9 Mass Rebuild

* Sun Feb 16 2020 umeabot <umeabot> 1.6.6-2.mga8
+ Revision: 1534257
- Mageia 8 Mass Rebuild

* Tue Oct 01 2019 alexl <alexl> 1.6.6-1.mga8
+ Revision: 1448547
- version 1.6.6
- delete upstreamed patches

* Fri Sep 27 2019 tv <tv> 1.6.5-3.mga8
+ Revision: 1447424
- Patch 2: port from pygtk2 to gi.repository
- Patch 3: makes it use python3
- adjust deps for py3/gi

* Fri Sep 27 2019 tv <tv> 1.6.5-2.mga8
+ Revision: 1447403
- Patch 0: makes it python3 compatible
  it then needs be ported from pygtk2 to gi.repository like mageiawelcome was
- Patch 1: makes it use python2 explicity (now that default python is python3)

* Mon Feb 11 2019 alexl <alexl> 1.6.5-1.mga7
+ Revision: 1365180
- version 1.6.5

* Wed Sep 19 2018 umeabot <umeabot> 1.6.4-4.mga7
+ Revision: 1264219
- Mageia 7 Mass Rebuild

* Thu Dec 01 2016 tv <tv> 1.6.4-3.mga6
+ Revision: 1071419
- recommends libinput rather than evdev as the former obsoletes the latter
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Nov 11 2015 alexl <alexl> 1.6.4-1.mga6
+ Revision: 902601
- version 1.6.4
- new url
- install docs

* Sat Oct 25 2014 alexl <alexl> 1.6.3-3.mga5
+ Revision: 793205
- fixed missing icon in menu (mga#14359)

* Wed Oct 15 2014 umeabot <umeabot> 1.6.3-2.mga5
+ Revision: 749860
- Second Mageia 5 Mass Rebuild

* Fri Oct 10 2014 alexl <alexl> 1.6.3-1.mga5
+ Revision: 737936
- fixed license tag
- changed url tag
- new version 1.6.3

* Tue Sep 16 2014 umeabot <umeabot> 1.6.2-5.mga5
+ Revision: 682325
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Wed Aug 13 2014 alexl <alexl> 1.6.2-4.mga5
+ Revision: 662170
- fixed i18n for desktop file: deleted incorrect translations, added new translations

* Wed Jul 23 2014 alexl <alexl> 1.6.2-3.mga5
+ Revision: 655959
- fixed crash for locales fi, no, ro (charset-locales.patch)
- used find_lang macros

* Mon Jul 21 2014 alexl <alexl> 1.6.2-2.mga5
+ Revision: 654991
- cleanups for spec

* Sun Apr 06 2014 alexl <alexl> 1.6.2-1.mga5
+ Revision: 612266
- imported package mdvinput

